%define _buildid .26

%global py26nvr python26-mercurial-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-mercurial-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with
%bcond_with X11

%global upstream_name mercurial
%global pkg %{upstream_name}

# If the emacs-el package has installed a pkgconfig file, use that to determine
# install locations and Emacs version at build time, otherwise set defaults.

%if %($(pkg-config emacs) ; echo $?)
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_lispdir %{expand:%(pkg-config emacs --variable sitepkglispdir)}
%global emacs_startdir %{expand:%(pkg-config emacs --variable sitestartdir)}
%endif

Name: mercurial
Version: 3.5.2
Release: 1%{?_buildid}%{?dist}
Summary: Mercurial -- a distributed SCM
Group: Development/Tools
License: GPLv2+
URL: http://www.selenic.com/mercurial/
Source0: http://www.selenic.com/mercurial/release/%{upstream_name}-%{version}.tar.gz
Source1: mercurial-site-start.el
Patch2: 1-parsers-fix-list-sizing-rounding-error.diff
Patch3: 2-parsers-detect-short-records.diff
Patch4: 3-subrepo-set-GIT_ALLOW_PROTOCOL-to-limit-git-clone-protocols.diff
Patch5: 4-convert-add-new,-non-clowny-interface-for-shelling-out-to-git.diff
Patch6: 5-convert-rewrite-calls-to-Git-to-use-the-new-shelling-mechanism.diff
Patch7: 6-convert-dead-code-removal---old-git-calling-functions.diff
Patch8: 7-convert-rewrite-gitpipe-to-use-common.commandline.diff
Patch9: 8-convert-test-for-shell-injection-in-git-calls.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

%package -n mercurial-common
Summary: Common files for mercurial
Group: Documentation
Conflicts: mercurial <= 2.6.3-1.22.amzn1

%description -n mercurial-common
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

This package contains common data such as locale files.

%package -n emacs-%{pkg}
Summary: Mercurial version control system support for Emacs
Group: Applications/Editors
Requires: hg = %{version}-%{release}, emacs-common
Requires: emacs-common
Requires: emacs(bin) >= %{_emacs_version}
Obsoletes: %{pkg}-emacs

%description -n emacs-%{pkg}
Contains byte compiled elisp packages for %{pkg}.
To get started: start emacs, load hg-mode with M-x hg-mode, and show 
help with C-c h h

%package -n emacs-%{pkg}-el
Summary: Elisp source files for %{pkg} under GNU Emacs
Group: Applications/Editors
Requires: emacs-%{pkg} = %{version}-%{release}

%description -n emacs-%{pkg}-el
This package contains the elisp source files for %{pkg} under GNU Emacs.

%package -n mercurial-python26
Summary: Mercurial -- a distributed SCM
BuildRequires: python26 python26-devel
BuildRequires: emacs-nox emacs-el pkgconfig gettext python26-docutils
Requires: mercurial-common%{?_isa} = %{version}-%{release} 
Requires(post): alternatives(force)
Requires(preun): %{_sbindir}/update-alternatives
Provides: mercurial-python = %{version}-%{release}
Provides: mercurial-python%{?_isa} = %{version}-%{release}
Provides: mercurial = %{version}-%{release}
Provides: mercurial%{?_isa} = %{version}-%{release}
Provides: hg = %{version}-%{release}
Provides: hg%{?_isa} = %{version}-%{release}
Provides: hg-python = %{version}-%{release}
Provides: hg-python%{?_isa} = %{version}-%{release}
Provides: hg-python26 = %{version}-%{release}
Provides: hg-python26%{?_isa} = %{version}-%{release}
Obsoletes: mercurial <= 2.6.3-1.22.amzn1

%description -n mercurial-python26
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

This package is meant to be used with Python 2.6.

%if %{with X11}
%package hgk-python26
Summary: Hgk interface for mercurial
Group: Development/Tools
Requires: hg-python26 = %{version}-%{release}, tk
Provides: %{pkg}-hgk = %{version}-%{release}
Provides: %{pkg}-hgk%{?_isa} = %{version}-%{release}
Obsoletes: %{pkg}-hgk <= 2.6.3-1.22.amzn1

%description hgk-python26
A Mercurial extension for displaying the change history graphically
using Tcl/Tk. Displays branches and merges in an easily
understandable way and shows diffs for each revision. Based on
gitk for the git SCM.

Adds the "hg view" command. See 
http://www.selenic.com/mercurial/wiki/index.cgi/UsingHgk for more
documentation.
%endif

%package -n mercurial-python27
Summary: Mercurial -- a distributed SCM
BuildRequires: python27 python27-devel
BuildRequires: emacs-nox emacs-el pkgconfig gettext python27-docutils
Requires: mercurial-common%{?_isa} = %{version}-%{release} 
Requires(post): alternatives(force)
Requires(preun): %{_sbindir}/update-alternatives
Provides: mercurial-python = %{version}-%{release}
Provides: mercurial-python%{?_isa} = %{version}-%{release}
Provides: mercurial = %{version}-%{release}
Provides: mercurial%{?_isa} = %{version}-%{release}
Provides: hg = %{version}-%{release}
Provides: hg%{?_isa} = %{version}-%{release}
Provides: hg-python = %{version}-%{release}
Provides: hg-python%{?_isa} = %{version}-%{release}
Provides: hg-python27 = %{version}-%{release}
Provides: hg-python27%{?_isa} = %{version}-%{release}
Conflicts: mercurial <= 2.6.3-1.22.amzn1

%description -n mercurial-python27
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

Quick start: http://www.selenic.com/mercurial/wiki/index.cgi/QuickStart
Tutorial: http://www.selenic.com/mercurial/wiki/index.cgi/Tutorial
Extensions: http://www.selenic.com/mercurial/wiki/index.cgi/CategoryExtension

This package is meant to be used with Python 2.7.

%if %{with X11}
%package hgk-python27
Summary: Hgk interface for mercurial
Group: Development/Tools
Requires: hg-python27 = %{version}-%{release}, tk

%description hgk-python27
A Mercurial extension for displaying the change history graphically
using Tcl/Tk. Displays branches and merges in an easily
understandable way and shows diffs for each revision. Based on
gitk for the git SCM.

Adds the "hg view" command. See 
http://www.selenic.com/mercurial/wiki/index.cgi/UsingHgk for more
documentation.
%endif

%prep
%setup -q -n %{upstream_name}-%{version}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
make PYTHON=%{__python26} all
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
make PYTHON=%{__python27} all
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
make PYTHON=%{__python26} install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
cp -a $RPM_BUILD_ROOT%{python26_sitearch}/mercurial/locale/* $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{python26_sitearch}/mercurial/locale

%find_lang hg

%if %{with X11}
install -D contrib/hgk       $RPM_BUILD_ROOT%{_libexecdir}/mercurial/hgk-2.6
%endif

install -m 755 contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}/hg-ssh-2.6

# fix up paths for system-provided scripts
%__python26_shebang $RPM_BUILD_ROOT%{_bindir}/*-2.6 *.cgi contrib/*.fcgi
popd

mv $RPM_BUILD_ROOT%{_bindir}/hg{,-2.6}
mv $RPM_BUILD_ROOT%{_mandir}/man1/hg{,-2.6}.1
mv $RPM_BUILD_ROOT%{_mandir}/man5/hgignore{,-2.6}.5
mv $RPM_BUILD_ROOT%{_mandir}/man5/hgrc{,-2.6}.5

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
make PYTHON=%{__python27} install-doc DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

rm -rf $RPM_BUILD_ROOT%{python27_sitearch}/mercurial/locale


%if %{with X11}
install -D contrib/hgk       $RPM_BUILD_ROOT%{_libexecdir}/mercurial/hgk-2.7
%endif

install -m 755 contrib/hg-ssh       $RPM_BUILD_ROOT%{_bindir}/hg-ssh-2.7

# fix up paths for system-provided scripts
%__python27_shebang $RPM_BUILD_ROOT%{_bindir}/*-2.7 *.cgi contrib/*.fcgi
popd

mv $RPM_BUILD_ROOT%{_bindir}/hg{,-2.7}
mv $RPM_BUILD_ROOT%{_mandir}/man1/hg{,-2.7}.1
mv $RPM_BUILD_ROOT%{_mandir}/man5/hgignore{,-2.7}.5
mv $RPM_BUILD_ROOT%{_mandir}/man5/hgrc{,-2.7}.5

mkdir -p $RPM_BUILD_ROOT%{emacs_lispdir}

pushd contrib
for file in mercurial.el mq.el; do
  emacs -batch -l mercurial.el --no-site-file -f batch-byte-compile $file
  #%{_emacs_bytecompile} $file
  install -p -m 644 $file ${file}c $RPM_BUILD_ROOT%{emacs_lispdir}
  rm ${file}c
done
popd

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d
mkdir -p $RPM_BUILD_ROOT%{emacs_startdir} && install -m644 %SOURCE1 $RPM_BUILD_ROOT%{emacs_startdir}

cat >hgk.rc <<EOF
[extensions]
# enable hgk extension ('hg help' shows 'view' as a command)
hgk=

[hgk]
path=%{_libexecdir}/mercurial/hgk
EOF
%if %{with X11}
install -m 644 hgk.rc $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d
%endif

cat > certs.rc <<EOF
# see: http://mercurial.selenic.com/wiki/CACertificates
[web]
cacerts = /etc/pki/tls/certs/ca-bundle.crt
EOF
install -m 644 certs.rc $RPM_BUILD_ROOT/%{_sysconfdir}/mercurial/hgrc.d

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%post -n mercurial-python26
%{_sbindir}/update-alternatives \
  --force \
  --install %{_bindir}/hg hg %{_bindir}/hg-2.6 26 \
  --slave %{_bindir}/hg-ssh hg-ssh %{_bindir}/hg-ssh-2.6 \
  --slave %{_mandir}/man1/hg.1.gz hg.1.gz %{_mandir}/man1/hg-2.6.1.gz \
  --slave %{_mandir}/man5/hgrc.5.gz hgrc.5.gz %{_mandir}/man5/hgrc-2.6.5.gz \
  --slave %{_mandir}/man5/hgignore.5.gz hgignore.5.gz %{_mandir}/man5/hgignore-2.6.5.gz \
  || :

%preun -n mercurial-python26
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --remove hg %{_bindir}/hg-2.6 \
  || :
fi

%post -n mercurial-python27
%{_sbindir}/update-alternatives \
  --force \
  --install %{_bindir}/hg hg %{_bindir}/hg-2.7 27 \
  --slave %{_bindir}/hg-ssh hg-ssh %{_bindir}/hg-ssh-2.7 \
  --slave %{_mandir}/man1/hg.1.gz hg.1.gz %{_mandir}/man1/hg-2.7.1.gz \
  --slave %{_mandir}/man5/hgrc.5.gz hgrc.5.gz %{_mandir}/man5/hgrc-2.7.5.gz \
  --slave %{_mandir}/man5/hgignore.5.gz hgignore.5.gz %{_mandir}/man5/hgignore-2.7.5.gz \
  || :

%preun -n mercurial-python27
if [ $1 -eq 0 ]; then
  %{_sbindir}/update-alternatives \
    --remove hg %{_bindir}/hg-2.7 \
  || :
fi

%files -n mercurial-python26
%doc CONTRIBUTORS COPYING doc/README doc/hg*.html
%doc %{py26doc}/*.cgi %{py26doc}/contrib/*.fcgi %{py26doc}/contrib/*.wsgi
%{python26_sitearch}/*
%{_bindir}/hg-2.6
%{_bindir}/hg-ssh-2.6
%{_mandir}/man1/hg-2.6.1.gz
%{_mandir}/man5/hgignore-2.6.5.gz
%{_mandir}/man5/hgrc-2.6.5.gz
%ghost %{_bindir}/hg
%ghost %{_bindir}/hg-ssh
%ghost %{_mandir}/man1/hg.1.gz
%ghost %{_mandir}/man5/hgignore.5.gz
%ghost %{_mandir}/man5/hgrc.5.gz

%if %{with X11}
%files -n %{pkg}-hgk-python26
%{_libexecdir}/mercurial/
%{_sysconfdir}/mercurial/hgrc.d/hgk.rc
%endif

%files -n mercurial-python27
%doc CONTRIBUTORS COPYING doc/README doc/hg*.html
%doc %{py27doc}/*.cgi %{py27doc}/contrib/*.fcgi %{py27doc}/contrib/*.wsgi
%{python27_sitearch}/*
%{_bindir}/hg-2.7
%{_bindir}/hg-ssh-2.7
%{_mandir}/man1/hg-2.7.1.gz
%{_mandir}/man5/hgignore-2.7.5.gz
%{_mandir}/man5/hgrc-2.7.5.gz
%ghost %{_bindir}/hg
%ghost %{_bindir}/hg-ssh
%ghost %{_mandir}/man1/hg.1.gz
%ghost %{_mandir}/man5/hgignore.5.gz
%ghost %{_mandir}/man5/hgrc.5.gz

%if %{with X11}
%files -n %{pkg}-hgk-python27
%{_libexecdir}/mercurial/
%{_sysconfdir}/mercurial/hgrc.d/hgk.rc
%endif

%files -n mercurial-common
%dir %{_sysconfdir}/mercurial
%dir %{_sysconfdir}/mercurial/hgrc.d
%config(noreplace) %{_sysconfdir}/mercurial/hgrc.d/certs.rc
%{_datadir}/locale/*/LC_MESSAGES/*

%files -n emacs-%{pkg}
%{emacs_lispdir}/*.elc
%{emacs_startdir}/*.el

%files -n emacs-%{pkg}-el
%{emacs_lispdir}/*.el
%changelog
* Tue Apr 26 2016 Jamie Anderson <jamieand@amazon.com>
- import source package F23/mercurial-3.5.2-1.fc23
- import source package F23/mercurial-3.5.1-1.fc23
- import source package F23/mercurial-3.3.3-2.fc23
- import source package F23/mercurial-3.3.3-1.fc23
- import source package F22/mercurial-3.2.3-2.fc22
- import source package F22/mercurial-3.2.3-1.fc22
- import source package F21/mercurial-3.2.2-1.fc21
- import source package F21/mercurial-3.0-2.fc21
- import source package F21/mercurial-3.0-1.fc21
- import source package F21/mercurial-2.9-1.fc21
- import source package F20/mercurial-2.8.1-1.fc20
- import source package F20/mercurial-2.8-1.fc20
- import source package F20/mercurial-2.6.3-2.fc20

* Wed Mar 30 2016 Mads Kiilerich <mads@kiilerich.com> - 3.5.2-1
- Update to 3.5.2
- Backport patches for
  CVE-2016-3068
  CVE-2016-3069
  CVE-2016-3630

* Fri Sep 11 2015 Neal Becker <ndbecker2@gmail.com> - 3.5.1-1
- Update to 3.5.1

* Wed Aug 12 2015 Neal Becker <ndbecker2@gmail.com> - 3.5-1
- Update to 3.5

* Tue Jun 23 2015 Neal Becker <ndbecker2@gmail.com> - 3.4.1-1
- Update to 3.4.1
- Obsolete emacs-mercurial{-el}
- own _emacs_sitelispdir/mercurial
- use standard emacs macros

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr  3 2015 Neal Becker <ndbecker2@gmail.com> - 3.3.3-1
- update to 3.3.3

* Tue Mar 17 2015 Jason Green <jasg@amazon.com>
- create mercurial alternatives group

* Mon Mar 16 2015 Neal Becker <ndbecker2@gmail.com> - 3.3.2-1
- Update to 3.3.2
- upstream dropped mergetools.rc

* Mon Mar 9 2015 jasg <jasg@amazon.com>
- Build for multiple pythons

* Sat Jan 24 2015 Ville Skyttä <ville.skytta@iki.fi> - 3.2.3-2
- Install bash completion to %%{_datadir}/bash-completion/completions

* Sun Dec 21 2014 nbecker <ndbecker2@gmail.com> - 3.2.3-1
- Fixes CVE-2014-9390

* Tue Dec 16 2014 nbecker <ndbecker2@gmail.com> - 3.2-1
- Update to 3.2.2

* Sun Oct 19 2014 nbecker <ndbecker2@gmail.com> - 3.2-1.rc
- Patch0 no longer needed?
- Drop sample.hgrc (from upstream)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 nbecker <ndbecker2@gmail.com> - 3.0-1
- fix Release

* Fri May 30 2014 nbecker <ndbecker2@gmail.com> - 3.0-
- Update to 3.0

* Tue Mar 25 2014 hpetty <hpetty@amazon.com>
- fixed version macro

* Wed Feb  5 2014 nbecker <ndbecker2@gmail.com> - 2.9-1
- Update to 2.9

* Fri Nov  8 2013 nbecker <ndbecker2@gmail.com> - 2.8-1
- Update to 2.8

* Wed Sep 11 2013 Heath Petty <hpetty@amazon.com>
- import source package F19/mercurial-2.6.3-1.fc19
- import source package F19/mercurial-2.6.2-1.fc19
- import source package F19/mercurial-2.3.1-1.fc19
- import source package F18/mercurial-2.4.1-1.fc18
- import source package F18/mercurial-2.3.1-1.fc18

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul  8 2013 nbecker <ndbecker2@gmail.com> - 2.6.3-1
- Update to 2.6.3

* Thu Jun 6 2013 nbecker <ndbecker2@gmail.com> - 2.6.2-1
- Update to 2.6.2

* Wed May  8 2013 nbecker <ndbecker2@gmail.com> - 2.6-1
- Update to 2.6

* Mon Mar 18 2013 nbecker <ndbecker2@gmail.com> - 2.5.2-2
- Add hgweb.wsgi

* Sat Mar  2 2013 nbecker <ndbecker2@gmail.com> - 2.5.2-1
- Update to 2.5.2

* Sat Feb  9 2013 Neal Becker <ndbecker2@gmail.com> - 2.5.1-1
- Update to 2.5.1

* Tue Feb  5 2013 Neal Becker <ndbecker2@gmail.com> - 2.5-1
- Update to 2.5

* Sun Dec 16 2012 Neal Becker <ndbecker2@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Sun Nov  4 2012 Neal Becker <ndbecker2@gmail.com> - 2.4-1
- Update to 2.4

* Mon Oct 15 2012 Cristian Gafton <gafton@amazon.com>
- import source package F17/mercurial-2.2.3-1.fc17
- import source package F17/mercurial-2.2.2-1.fc17
- import source package F17/mercurial-2.2.1-1.fc17
- import source package F17/mercurial-2.1.2-1.fc17

* Wed Sep  5 2012 Neal Becker <ndbecker2@gmail.com> - 2.3.1-1
- Update to 2.3.1

* Mon Aug 13 2012 Neal Becker <ndbecker2@gmail.com> - 2.3-1
- Update to 2.3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  9 2012 Neal Becker <ndbecker2@gmail.com> - 2.2.3-1
- Update to 2.2.3

* Sun Jun  3 2012 Neal Becker <ndbecker2@gmail.com> - 2.2.2-1
- Update to 2.2.2

* Fri May 25 2012 Neal Becker <ndbecker2@gmail.com> - 2.2.1-2
- Add certs.rc

* Fri May  4 2012 Neal Becker <ndbecker2@gmail.com> - 2.2.1-1
- update to 2.2.1

* Wed May  2 2012 Neal Becker <ndbecker2@gmail.com> - 2.2-1
- Update to 2.2

* Fri Apr  6 2012 Neal Becker <ndbecker2@gmail.com> - 2.1.2-1
- Update to 2.1.2

* Wed Mar 14 2012 ltrager <ltrager@amazon.com>
- Don't use the emacs plugin macro, use the actual command
- import source package F17/mercurial-2.1.1-1.fc17

* Sat Mar 10 2012 Neal Becker <ndbecker2@gmail.com> - 2.1.1-1
- Update to 2.1.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jan 6 2012 Cristian Gafton <gafton@amazon.com>
- import source package F16/mercurial-1.9.3-1.fc16
- import source package F16/mercurial-1.9.2-1.fc16
- import source package F16/mercurial-1.9.1-1.fc15
- import source package F16/mercurial-1.9-2.fc15
- import source package F16/mercurial-1.8.4-2.fc15
- import source package F16/mercurial-1.8.2-1.fc15
- import source package F16/mercurial-1.8.1-2.fc14
- import source package F16/mercurial-1.7.5-1.fc14
- import source package F16/mercurial-1.7.3-1.fc14
- import source package F16/mercurial-1.7.2-1.fc14
- import source package F16/mercurial-1.7.1-1.fc14
- import source package F16/mercurial-1.7-3.fc14
- import source package F16/mercurial-1.6.4-3.fc14
- import source package F16/mercurial-1.6.3-1.fc14
- import source package F16/mercurial-1.6.2-1.fc13
- import source package F16/mercurial-1.6-3.fc13
- import source package F16/mercurial-1.5.3-1.fc13
- import source package F16/mercurial-1.5.2-1.fc13
- import source package F16/mercurial-1.5.1-1.fc13
- import source package F16/mercurial-1.5-2.fc13
- import source package F16/mercurial-1.4.3-1.fc13
- import source package F16/mercurial-1.4.2-1.fc12

* Sun Jan  1 2012 Neal Becker <ndbecker2@gmail.com> - 2.0.2-1
- Update to 2.0.2

* Wed Nov 16 2011 Neal Becker <ndbecker2@gmail.com> - 2.0-1
- Update to 2.0

* Tue Oct 11 2011 Neal Becker <ndbecker2@gmail.com> - 1.9.3-2
- Fix br 744931 (unowned dir)

* Sun Oct  2 2011 Neal Becker <ndbecker2@gmail.com> - 1.9.3-1
- update to 1.9.3

* Sat Aug 27 2011 Neal Becker <ndbecker2@gmail.com> - 1.9.2-1
- Update to 1.9.2

* Wed Aug  3 2011 Neal Becker <ndbecker2@gmail.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jul  1 2011 Neal Becker <ndbecker2@gmail.com> - 1.9-2
- Remove docutils patch

* Fri Jul  1 2011 Neal Becker <ndbecker2@gmail.com> - 1.9-1
- Update to 1.9

* Wed Jun 22 2011 Cristian Gafton <gafton@amazon.com>
- update to 1.8.4

* Thu Jun  2 2011 Neal Becker <ndbecker2@gmail.com> - 1.8.4-2
- Add docutils-0.8 patch

* Wed Jun  1 2011 Neal Becker <ndbecker2@gmail.com> - 1.8.4-1
- Update to 1.8.4

* Sat Apr  2 2011 Neal Becker <ndbecker2@gmail.com> - 1.8.2-1
- update to 1.8.2

* Mon Mar 14 2011 Neal Becker <ndbecker2@gmail.com> - 1.8.1-2
- Try BR emacs-nox

* Mon Mar 14 2011 Neal Becker <ndbecker2@gmail.com> - 1.8.1-1
- Update to 1.8.1

* Wed Mar  2 2011 Neal Becker <ndbecker2@gmail.com> - 1.8-1
- Update to 1.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb  5 2011 Neal Becker <ndbecker2@gmail.com> - 1.7.5-1
- Update to 1.7.5

* Tue Jan 11 2011 Cristian Gafton <gafton@amazon.com>
- build require python-docutils
- use simplified release number
- update to 1.7.3

* Sun Jan  2 2011 Neal Becker <ndbecker2@gmail.com> - 1.7.3-1
- Update to 1.7.3

* Thu Dec  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.7.2-1
- Update to 1.7.2

* Mon Nov 15 2010 Neal Becker <ndbecker2@gmail.com> - 1.7.1-1
- Update to 1.7.1

* Mon Nov  1 2010 Neal Becker <ndbecker2@gmail.com> - 1.7-3
- BR python-docutils

* Mon Nov  1 2010 Neal Becker <ndbecker2@gmail.com> - 1.7-2
- Make that 1.7

* Mon Nov  1 2010 Neal Becker <ndbecker2@gmail.com> - 1.7.0-1
- Update to 1.7.0

* Thu Oct 21 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.4-4
- Try another way to own directories

* Wed Oct 20 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.4-3
- Fixup unowned directories

* Wed Oct  6 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.4-3
- patch i18n.py so hg will find moved locale files

* Fri Oct  1 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.4-1
- Update to 1.6.4

* Fri Aug 27 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.3-1
- Fix some rpmlint issues

* Thu Aug 26 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.3-1
- Update to 1.6.3

* Mon Aug  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.6.2-1
- Update to 1.6.2

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jul 10 2010 Cristian Gafton <gafton@amazon.com>
- remove debugging line
- update to version 1.6
- add conditional X11 build

* Fri Jul 9 2010 Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/mercurial-1.4-3.el6
- import source package RHEL6/mercurial-1.4-1.el6.2
- setup complete for package mercurial

* Sun Jul  4 2010 Neal Becker <ndbecker2@gmail.com> - 1.6-2
- Remove hg-viz, git-rev-tree

* Sun Jul  4 2010 Neal Becker <ndbecker2@gmail.com> - 1.6-1
- Update to 1.6
- git-viz is removed

* Fri Jun 25 2010 Neal Becker <ndbecker2@gmail.com> - 1.5.4-1
- Don't install mercurial-convert-repo (use hg convert instead)

* Wed Jun  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.5.4-1
- Update to 1.5.4

* Fri May 14 2010 Neal Becker <ndbecker2@gmail.com> - 1.5.3-1
- Update to 1.5.3

* Mon May  3 2010 Neal Becker <ndbecker2@gmail.com> - 1.5.2-1
- update to 1.5.2

* Mon Apr  5 2010 Neal Becker <ndbecker2@gmail.com> - 1.5.1-1
- Update to 1.5.1

* Sat Mar  6 2010 Neal Becker <ndbecker2@gmail.com> - 1.5-2
- doc/ja seems to be gone

* Sat Mar  6 2010 Neal Becker <ndbecker2@gmail.com> - 1.5-1
- Update to 1.5

* Fri Feb  5 2010 Neal Becker <ndbecker2@gmail.com> - 1.4.3-2
- License changed to gplv2+

* Mon Feb  1 2010 Neal Becker <ndbecker2@gmail.com> - 1.4.3-1
- Update to 1.4.3

* Sat Jan  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.4.2-1
- Update to 1.4.2

* Wed Dec  2 2009 Neal Becker <ndbecker2@gmail.com> - 1.4.1-1
- Update to 1.4.1

* Mon Nov 16 2009 Neal Becker <ndbecker2@gmail.com> - 1.4-1.1
- Bump to 1.4-1.1

* Mon Nov 16 2009 Neal Becker <ndbecker2@gmail.com> - 1.4-1
- Update to 1.4

* Fri Jul 24 2009 Neal Becker <ndbecker2@gmail.com> - 1.3.1-3
- Disable self-tests

* Fri Jul 24 2009 Neal Becker <ndbecker2@gmail.com> - 1.3.1-2
- Update to 1.3.1

* Wed Jul  1 2009 Neal Becker <ndbecker2@gmail.com> - 1.3-2
- Re-enable tests since they now pass

* Wed Jul  1 2009 Neal Becker <ndbecker2@gmail.com> - 1.3-1
- Update to 1.3

* Sat Mar 21 2009 Neal Becker <ndbecker2@gmail.com> - 1.2.1-1
- Update to 1.2.1
- Tests remain disabled due to failures

* Wed Mar  4 2009 Neal Becker <ndbecker2@gmail.com> - 1.2-2
- patch0 for filemerge bug should not be needed

* Wed Mar  4 2009 Neal Becker <ndbecker2@gmail.com> - 1.2-1
- Update to 1.2

* Tue Feb 24 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-7
- Use noreplace option on config

* Mon Feb 23 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-6
- Fix typo

* Mon Feb 23 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-5
- Own directories bash_completion.d and zsh/site-functions
  https://bugzilla.redhat.com/show_bug.cgi?id=487015

* Mon Feb  9 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-4
- Mark mergetools.rc as config

* Sat Feb  7 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-3
- Patch mergetools.rc to fix filemerge bug

* Thu Jan  1 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-2
- Rename mergetools.rc -> mergetools.rc.sample

* Thu Jan  1 2009 Neal Becker <ndbecker2@gmail.com> - 1.1.2-1
- Update to 1.1.2

* Wed Dec 24 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.1-3
- Install mergetools.rc as mergetools.rc.sample

* Sun Dec 21 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.1-2
- Fix typo

* Sun Dec 21 2008 Neal Becker <ndbecker2@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-2
- Rebuild for Python 2.6

* Tue Dec  2 2008 Neal Becker <ndbecker2@gmail.com> - 1.1-1
- Update to 1.1

* Mon Dec  1 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.2-4
- Bump tag

* Mon Dec  1 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.2-3
- Remove BR asciidoc
- Use macro for python executable

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.2-2
- Rebuild for Python 2.6

* Fri Aug 15 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Sun Jun 15 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.1-4
- Bitten by expansion of commented out macro (again)

* Sun Jun 15 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.1-3
- Add BR pkgconfig

* Sun Jun 15 2008 Neal Becker <ndbecker2@gmail.com> - 1.0.1-2
- Update to 1.0.1
- Fix emacs_version, etc macros (need expand)
- Remove patch0

* Mon Jun  2 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-15
- Bump release tag

* Thu Apr 17 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-14
- Oops, fix %%files due to last change

* Wed Apr 16 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-13
- install mergetools.hgrc as mergetools.rc

* Sat Apr 12 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-12
- Remove xemacs pkg - this is moved to xemacs-extras
- Own %%{python_sitearch}/{mercurial,hgext} dirs

* Thu Apr 10 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-11
- Use install -p to install .el{c} files
- Don't (load mercurial) by default.

* Wed Apr  9 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-10
- Patch to hgk from Mads Kiilerich <mads@kiilerich.com>

* Tue Apr  8 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-9
- Add '-l mercurial.el' for emacs also

* Tue Apr  8 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-8
- BR xemacs-packages-extra

* Tue Apr  8 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-7
- Various fixes

* Tue Apr  8 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-6
- fix to comply with emacs packaging guidelines

* Thu Mar 27 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-5
- Move hgk-related py files to hgk
- Put mergetools.hgrc in /etc/mercurial/hgrc.d
- Add hgk.rc and put in /etc/mercurial/hgrc.d

* Wed Mar 26 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-4
- Rename mercurial-site-start -> mercurial-site-start.el

* Wed Mar 26 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-3
- Incorprate suggestions from hopper@omnifarious.org

* Wed Mar 26 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-2
- Add site-start

* Tue Mar 25 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-1
- Update to 1.0
- Disable check for now - 1 test fails
- Move emacs to separate package
- Add check

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.5-7
- Autorebuild for GCC 4.3

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.5-6
- rpmlint fixes

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.5-5
- /etc/mercurial/hgrc.d missing

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.5-3
- Fix to last change

* Fri Nov  9 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.5-2
- mkdir /etc/mercurial/hgrc.d for plugins

* Tue Oct 23 2007 <ndbecker2@gmail.com> - 0.9.5-2
- Bump tag to fix confusion

* Mon Oct 15 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.5-1
- Sync with spec file from mercurial

* Sat Sep 22 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-8
- Just cp contrib tree.
- Revert install -O2

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-7
- Change setup.py install to -O2 to get bytecompile on EL-4

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-6
- Revert last change.

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-5
- Use {ghost} on contrib, otherwise EL-4 build fails

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-4
- remove {_datadir}/contrib stuff for now

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-3
- Fix mercurial-install-contrib.patch (/usr/share/mercurial->/usr/share/mercurial/contrib)

* Wed Aug 29 2007 Jonathan Shapiro <shap@eros-os.com> - 0.9.4-2
- update to 0.9.4-2
- install contrib directory
- set up required path for hgk
- install man5 man pages

* Thu Aug 23 2007 Neal Becker <ndbecker2@gmail.com> - 0.9.4-1
- update to 0.9.4

* Wed Jan  3 2007 Jeremy Katz <katzj@redhat.com> - 0.9.3-1
- update to 0.9.3
- remove asciidoc files now that we have them as manpages

* Mon Dec 11 2006 Jeremy Katz <katzj@redhat.com> - 0.9.2-1
- update to 0.9.2

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 0.9.1-2
- rebuild

* Tue Jul 25 2006 Jeremy Katz <katzj@redhat.com> - 0.9.1-1
- update to 0.9.1

* Fri May 12 2006 Mihai Ibanescu <misa@redhat.com> - 0.9-1
- update to 0.9

* Mon Apr 10 2006 Jeremy Katz <katzj@redhat.com> - 0.8.1-1
- update to 0.8.1
- add man pages (#188144)

* Fri Mar 17 2006 Jeremy Katz <katzj@redhat.com> - 0.8-3
- rebuild

* Fri Feb 17 2006 Jeremy Katz <katzj@redhat.com> - 0.8-2
- rebuild

* Mon Jan 30 2006 Jeremy Katz <katzj@redhat.com> - 0.8-1
- update to 0.8

* Thu Sep 22 2005 Jeremy Katz <katzj@redhat.com> 
- add contributors to %%doc

* Tue Sep 20 2005 Jeremy Katz <katzj@redhat.com> - 0.7
- update to 0.7

* Mon Aug 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6c
- update to 0.6c

* Tue Jul 12 2005 Jeremy Katz <katzj@redhat.com> - 0.6b
- update to new upstream 0.6b

* Fri Jul  1 2005 Jeremy Katz <katzj@redhat.com> - 0.6-1
- Initial build.
